/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.records;


import com.tabajara.base.tables.Sensorrepeticao;
import com.tabajara.base.tables.interfaces.ISensorrepeticao;

import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import javax.annotation.Generated;

import org.jooq.Field;
import org.jooq.Record1;
import org.jooq.Record3;
import org.jooq.Row3;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class SensorrepeticaoRecord extends UpdatableRecordImpl<SensorrepeticaoRecord> implements VertxPojo, Record3<Integer, Integer, Integer>, ISensorrepeticao {

    private static final long serialVersionUID = 565314505;

    /**
     * Setter for <code>public.sensorrepeticao.senrepid</code>.
     */
    @Override
    public SensorrepeticaoRecord setSenrepid(Integer value) {
        set(0, value);
        return this;
    }

    /**
     * Getter for <code>public.sensorrepeticao.senrepid</code>.
     */
    @Override
    public Integer getSenrepid() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>public.sensorrepeticao.fktiprepid</code>.
     */
    @Override
    public SensorrepeticaoRecord setFktiprepid(Integer value) {
        set(1, value);
        return this;
    }

    /**
     * Getter for <code>public.sensorrepeticao.fktiprepid</code>.
     */
    @Override
    public Integer getFktiprepid() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>public.sensorrepeticao.fksenid</code>.
     */
    @Override
    public SensorrepeticaoRecord setFksenid(Integer value) {
        set(2, value);
        return this;
    }

    /**
     * Getter for <code>public.sensorrepeticao.fksenid</code>.
     */
    @Override
    public Integer getFksenid() {
        return (Integer) get(2);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Record3 type implementation
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public Row3<Integer, Integer, Integer> fieldsRow() {
        return (Row3) super.fieldsRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Row3<Integer, Integer, Integer> valuesRow() {
        return (Row3) super.valuesRow();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field1() {
        return Sensorrepeticao.SENSORREPETICAO.SENREPID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field2() {
        return Sensorrepeticao.SENSORREPETICAO.FKTIPREPID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Field<Integer> field3() {
        return Sensorrepeticao.SENSORREPETICAO.FKSENID;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component1() {
        return getSenrepid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component2() {
        return getFktiprepid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer component3() {
        return getFksenid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value1() {
        return getSenrepid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value2() {
        return getFktiprepid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public Integer value3() {
        return getFksenid();
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public SensorrepeticaoRecord value1(Integer value) {
        setSenrepid(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public SensorrepeticaoRecord value2(Integer value) {
        setFktiprepid(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public SensorrepeticaoRecord value3(Integer value) {
        setFksenid(value);
        return this;
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public SensorrepeticaoRecord values(Integer value1, Integer value2, Integer value3) {
        value1(value1);
        value2(value2);
        value3(value3);
        return this;
    }

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public void from(ISensorrepeticao from) {
        setSenrepid(from.getSenrepid());
        setFktiprepid(from.getFktiprepid());
        setFksenid(from.getFksenid());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public <E extends ISensorrepeticao> E into(E into) {
        into.from(this);
        return into;
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached SensorrepeticaoRecord
     */
    public SensorrepeticaoRecord() {
        super(Sensorrepeticao.SENSORREPETICAO);
    }

    /**
     * Create a detached, initialised SensorrepeticaoRecord
     */
    public SensorrepeticaoRecord(Integer senrepid, Integer fktiprepid, Integer fksenid) {
        super(Sensorrepeticao.SENSORREPETICAO);

        set(0, senrepid);
        set(1, fktiprepid);
        set(2, fksenid);
    }

    public SensorrepeticaoRecord(io.vertx.core.json.JsonObject json) {
        this();
        fromJson(json);
    }
}
